libnjb 2.2.7

Data Fields
njb_songid_struct Struct Reference

`#include <libnjb.h>`

## Data Fields
u_int32_t | trid
u_int16_t | nframes
njb_songid_frame_t * | first
njb_songid_frame_t * | last
njb_songid_frame_t * | cur
njb_songid_t * | next

## Detailed Description

The song ID struct is used for holding metadata about a particular track.

Examples:
  gettr.c, sendtr.c, tagtr.c, and tracks.c.

## Field Documentation

## ◆ cur

njb_songid_frame_t* njb_songid_struct::cur

A pointer to the current frame

Referenced by NJB_Songid_Addframe(), NJB_Songid_Getframe(), and NJB_Songid_Reset_Getframe().

## ◆ first

njb_songid_frame_t* njb_songid_struct::first

A pointer to the first frame

Referenced by NJB_Songid_Addframe(), and NJB_Songid_Reset_Getframe().

## ◆ last

njb_songid_frame_t* njb_songid_struct::last

A pointer to the last frame

Referenced by NJB_Songid_Addframe().

## ◆ next

njb_songid_t* njb_songid_struct::next

Used internally on series 3 devices for spanning lists of song IDs only

Referenced by NJB_Songid_New().

## ◆ nframes

u_int16_t njb_songid_struct::nframes

The number of frames in this song ID

Referenced by NJB_Songid_Addframe(), and songid_pack().

## ◆ trid

u_int32_t njb_songid_struct::trid

The track ID as used on the device

Examples:
  gettr.c, and tracks.c.

The documentation for this struct was generated from the following file:

- /tmp/libnjb-2.2.7/src/libnjb.h